# Import market data from yahoo finance
from flask import Flask,render_template,url_for
from selenium import webdriver
from matplotlib import pyplot as plt
app = Flask(__name__)
@app.route('/',methods = ['Get', 'Post'])
def Retrievedata_and_savefig():
    driver = webdriver.Chrome()
    driver.maximize_window()
    driver.get("https://finance.yahoo.com/quote/AAPL?p=AAPL")
    driver.implicitly_wait(15)
    xvalues = [] ; yvalues = list()
    Dataitems = driver.find_elements_by_xpath("//a[@class = 'Fz(s) Ell Fw(b) C($c-fuji-blue-1-b)']")
    for Data in Dataitems:
        xvalues.append(Data.text)    
    values  = driver.find_elements_by_xpath("//span[@class = 'Trsdu(0.3s) Fz(s) Mt(4px) Mb(0px) Fw(b) D(ib)']")
    for value in values:     
        a = (value.text).replace(',','')
        yvalues.append(float(a))
    driver.close()
    minvalue = min(yvalues); y = yvalues.index(minvalue)
    exp = [];c = ['r','g','b','y','k','c']        
    for e in range(len(yvalues)):
        if e == y:
            exp.append(0.1)
        else:
            exp.append(0)     
    plt.pie(yvalues, labels = xvalues, explode = exp, colors=c)
    plt.legend(loc = 'upper right')
    plt.title('Financial Data')     
    plt.savefig('./static/sales.png')
    #plt.show()
    l = len(xvalues)
    return render_template('Data.html', xvalues = xvalues, yvalues = yvalues, L =l)
app.run(host = 'localhost', port = 1111)    
